package com.myoa.engineering.sample.configuration.logging;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.Set;

@Getter
@Setter
@ConfigurationProperties(prefix = "logging.web")
public class LoggingProperties {

    private HttpMethod httpMethod;
    private HttpStatus httpStatus;
    private String applicationName;

    @Getter
    @Setter
    @NoArgsConstructor
    public static class HttpMethod {
        Set<String> excludes;

        public boolean isExcluded(String httpMethod) {
            return excludes.contains(httpMethod);
        }
    }

    @Getter
    @Setter
    @NoArgsConstructor
    public static class HttpStatus {
        Set<Integer> excludes;

        public boolean isExcluded(int httpStatus) {
            return excludes.contains(httpStatus);
        }
    }
}
